Subject: RE: [nemo] issue 2 diffs

From: "Pascal Thubert \(pthubert\)" <[email-masked]>
Date: Wed, 12 Jan 2005 19:00:37 +0100

Oups:)

I missed the fact that you had moved the HA. In fact, the picture is
supposed to show the Home Link, and the MRs at (virtually) Home. I
realized that your change actually gave it a very different meaning,
close to the second part of the drawing.

So I rolled back, but changed the drawing slightly to write down Home
Link.

Does it look better now?

Pascal

| -----Original Message-----
| From: Vijay Devarapalli [mailto:[email-masked]]
| Sent: Wednesday, January 12, 2005 12:58 AM
| To: Alexandru Petrescu
| Cc: Pascal Thubert (pthubert); [email-masked]
| Subject: Re: [nemo] issue 2 diffs
| 
| Alex,
| 
| it is true that regular IPv6 subnetting is used to allocate
| prefixes for the home link and the mobile networks. no issues.
| 
| but the MR creating a route for its subnet at the HA which
| actually has a subnet of its own, is what we are calling the
| NEMO "Extended Home Network Model". so I dont see whats
| wrong with the term.
| 
| having said that, it really only a term. I dont care if it
| is changed to something else.
| 
| Pascal, do you think it might make sense to re-draw the figure
| for the Extended Home Network model as follows.
| 
|                      |
|            route     v  /48                        A:B:C::/48
| 
|          --+-----+-----+--+- . -+- . -+--
|            |     |     |        |     |
|           HA    MR1   MR2      MRi   MRN      HA link - A:B:C:0::/64
|           /64   /64   /64      /64   /64      A:B:C:i::/64  1 < i <= N
| 
| 
|                           Extended Home Network
|         <----------------------------------------------------------->
| 
|           Home Net      Mobile Net    Mobile Net   ...   Mobile Net
|         <------------><------------><------------> ... <------------>
| 
| Vijay
| 
| Alexandru Petrescu wrote:
| > Pascal Thubert (pthubert) wrote:
| >
| >> I created a new section prior to extended with MIP reminders to
help
| >>  explain the difference later.
| >
| >
| > Thanks for this action.  I've read the section.  It does reflect
what we
| > have discussed.
| >
| > It is just I still do not feel comfortable with calling it "extended
| > model" I explain below why.  Overall it is because we seem to have
| > different views on deployment.  You seem to see it as one would
start
| > from scratch to deploy a Home Network that supports mobility (first
| > deploy a MIP Home Link, then extend it for MRs).  I see it as a Home
| > Network already exists and mobility of hosts and routers is added
| > simultaneously (thus the prefixes are already allocated by some
| > prior to mobility).
| >
| >> With Mobile IPv6 (MIP6) specificationJohnson, D., Perkins, C. and
J.
| >> Arkko, Mobility Support in IPv6, June 2004.[7] Mobile Nodes are at
| >> Home when they are connected to their Home Link, where they
recognize
| >>  their Home Prefix in Router Advertisement messages. Also, a
binding
| >> is checked using of Duplicate Address Detection on the Home Link,
and
| >>  Home Agents discover each other by means of Neighbor Discovery
| >> extensions over that link.
| >>
| >> The Home Prefix, that is advertized on the Home Link, is a final
| >> prefix, as opposed to an aggregation, and it may be used by hosts
on
| >> the Home Link for autoconfiguration purposes.
| >>
| >> As we see, the concept of a Home Network for Mobile IPv6 is really
a
| >> prefix on a link, served by one or more Home Agents as opposed to a
| >> routed mesh. We will see in the next sections that NEMO needs
| >> additional prefixes for use by the Mobile Networks. For that
reason,
| >> NEMO extends the concept of Home Network into a more complex,
| >> aggregated structure.
| >
| >
| > Pascal, I do not see _NEMO_ needing additional prefixes for use
| > of Mobile Networks.  It's subnetting that needs additional prefixes.
If
| > I have a MIP home link with MNs attached to it and I want to add MRs
to
| > this home then what I have to do first is to allocate /64 prefixes
(out
| > of the /48 pictured) as MNPs.  Then all I have to do is to add
routes in
| > HA towards these MNPs through the respective HoAs.
| >
| > This is exactly the same operation I have to do if I have a Link
| > (non-MIP) and want to further "subnet it" for non-mobile purposes
with
| > fixed routers.
| >
| > That is why I'm not comfortable calling it "extended model".  It
| > could as well be called "subnetted mode" or simply a "network
model".
| >
| > When reading the draft, I get the feeling that NEMO Home Network
extends
| > the MIP Home Network.  To me, this is a network further subnetted,
NEMO
| > extends nothing in this.  IMHO.
| >
| >> As this model trivially extends the MIP Home Network
| >
| >
| > Exactly, this "extension" is so trivial it does not even deserve a
name
| > IMHO.  It's plain simple networking.
| >
| > If there is agreement around getting rid of "extended" then I'm
fine.
| > Otherwise the current text I read better than the previous (because
it
| > explains what "extended" means).
| >
| > Alex

---

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 12 Jan 2005 13:31:46 -0800

okay. I guess moving the HA down will be confusing. the new
figure looks good.

Vijay